## What's New？
#### 4.5.5  (2024-05-24)
- Increase exchange rate precision to six decimal places
- Optimize exchange rate and amount display
- New: Support for displaying note information in goal and periodic-bill cards
- New: Calendar mode can optionally display income, expenses, or total balance
- Optimize parts of the UI
#### 4.5.4  (2024-05-22)
- Fix bugs
- New: You can now select the default display mode for the  book section on the homepage in settings.
#### 4.5.3  (2024-05-14)
- Newly added: The account balance after each bill in the account details.
#### 4.5.2  (2024-05-09)
- New: Display End Date when Editing Periodic bill
- Fix Bug
#### 4.5.0  (2024-05-06)
- Optimize the homepage UI to make it more refreshing
#### 4.4.1  (2024-04-25)
- Added: Transfer additional billing feature to meet scenarios such as transfer fees.
- Added: Italian language support.
- Fixed Bugs.
#### 4.4.0  (2024-04-15)
- New: Messages and local alerts for saving goals support jumping to corresponding goal details
#### 4.3.2  (2024-04-02)
- Fix: Time calculation error when switching to daylight saving time in some time zones.
#### 4.3.1  (2024-03-22)
- New: Periodic Savings Plan supports local notifications.
#### 4.3.0  (2024-03-14)
- New: Recurring Savings Plan
- New: Add reminder function for periodic saving plan.
- Optimized dark mode and some UI and animation effects.
- Fixed bugs
#### 4.2.2  (2024-01-31)
- New: Function to temporary exchange rate adjustment when record transferring money.
- Optimization: Tap outside the input box to close the input method.
- Fixed bugs.
#### 4.2.0  (2024-01-18)
- New: Savings target can be set to display on the home page
- Optimized UI
- Fixed bugs
#### 4.1.2  (2024-01-09)
- New: The list of money saving goals shows the progress directly.
- Fixed: Incorrect selection of start time and end time for money saving goals.
#### 4.1.1  (2024-01-08)
- Fix incorrect exchange rate when modifying deposits
#### 4.1.0  (2024-01-03)
- Save more money in the New Year, new saving goal feature
- Optimize UI
#### 4.0.3  (2023-10-31)
- Optimized UI
- Fix bugs
#### 4.0.2  (2023-10-24)
- Optimized UI
- Fix bugs
#### 4.0.0  (2023-10-11)
#### Version 4 is here!
- Redesigned homepage UI
- Fix bugs
#### 3.7.2  (2023-09-13)
- Enlarged the comment input box to support more lines of comments.
- New: Show the approximate budget usage of current category when editing bill.
#### 3.7.0  (2023-08-29)
- Fixed bugs
- Added 6 new account icons
- Added 5 new book icons
- Added 11 new member icons
- Added 39 new category icons
#### 3.6.0  (2023-08-07)
- New member import function
- New category import function
- Fixed bugs
#### 3.5.2  (2023-07-14)
- You can now set a different theme, base currency, and week/month start date for each book! These settings will help you better distinguish each book. You can set them in book Details -> Edit.
#### 3.5.1  (2023-07-02)
- In this version, you can now adjust the quality of the bill attachment images in the settings.
#### 3.5.0  (2023-06-13)
- In this version we have significantly optimized the efficiency of the operation under a large amount of data, enjoy it!
#### 3.4.4  (2023-06-02)
- Added: search result statistics
- Added: To adjust the time interval in the search results
#### 3.4.3  (2023-05-22)
- Bugs fixed
#### 3.4.2  (2023-05-11)
- Added: bill list collapse by day
- Added: summary information to the account list
- Bugs fixed
#### 3.4.1  (2023-04-25)
- The total budget can be set as the sum of the sub-budgets
- Easy to view budget usage in budget management
- New: The option of whether the account is included in the assets, so that you can decide whether to count it in the assets and assets trend.
#### 3.4.0  (2023-04-10)
- In this version we have optimized some UI details and hint messages to make it easier to understand.
#### 3.3.3  (2023-03-23)
- We've made some small improvements, and if you have a subscription, you can now choose to upgrade or downgrade your current subscription plan from the purchase page.
#### 3.3.2  (2023-03-03)
- Have you ever created an account with the wrong type? In this release you can now change your account type directly in your account details; plus we've optimized some display details. Start exploring!
#### 3.3.0  (2023-02-10)
- Do you often forget to handle something? This time we added a new custom reminder feature (advanced feature), which will remind you with a notification when a reminder is due and you can see your notification message in the message box.
#### 3.2.5  (2023-01-10)
- In this update we've added the ability to hide/show your wallet balance, which you can find in the top left corner of your wallet page.
#### 3.2.4  (2022-12-05)
- This time, you can choose your favorite calculator button layout in Settings - More; We also fixed some bugs.
#### 3.2.3  (2022-11-13)
- You can now quickly add new bills in categories and member details; In addition, we have also optimized note matching, when you enter a note, the app will automatically match more accurate historical notes for you to choose.
#### 3.2.0  (2022-10-13)
- This time we continue to add account book details, category details and member details, which will make it easier for you to understand your various accounting details; At the same time, we continue to optimize some UI details and animation effects. Love it? Just give us a score!
#### 3.1.0  (2022-10-2)
- We have added a detail page for periodic bill, allowing you to understand the execution of periodic billing more intuitively; in addition, we have redesigned some UI details, let's see what changes!
#### 3.0.2  (2022-09-10)
- When you switch to display the interval by week, you will see the new time picker we have prepared for you, where you can see the weekly calendar more intuitively. In addition, we also fixed and optimized many user feedback issues in this release.
#### 3.0.1  (2022-09-01)
- Thanks for the user's usage and feedback. we have fixed the problem of data processing in calendar mode. enjoy it!
#### 3.0.0  (2022-08-27)
##### Version 3.0.0 is here, try our brand new version!
- We redesigned the pie chart and trend chart in the analysis so that you can see your capital situation more intuitively. When you click on an element on the chart, the list will automatically scroll to the relevant data;
- Faster geographic location acquisition to avoid missing your bill geographic information (the function needs to be manually turned on);
- Redesigned currency selection interface, redesigned graphic animations, and you'll also see a better looking calculator;
- We also rewrote a lot of code to make the app more robust, of course! Also fixed a lot of historical bugs.
#### 2.19.2  (2022-07-30)
- In this release, we have fixed a bug that could occur in some cases in the time picker for income and expenditure trends.
#### 2.19.1  (2022-07-14)
- Does the new feature of choosing notes for bill make it more convenient for you? Now, You can also customize the maximum number of selectable notes in Settings - More. Hope to give you more convenient choices.
#### 2.19.0  (2022-06-17)
- Do you feel the hassle of adding notes to each bill? Starting today, when you fill in your billing notes, you will see notes for the most recent related bills for you to choose from. In addition, we also optimized the animation effect of the bill editor for a more comfortable bookkeeping experience.
#### 2.18.4  (2022-06-08)
- When creating new categories you will notice that we have added 67 nice new icons in this version. In addition, we have organized these icons into groups so that you can better find what you need.
#### 2.18.3  (2022-05-31)
- In order to better view the trend situation, we have added a summary of the trend amount in this version, and you can also click on the summary to view all the bills during this period. In addition, we have also changed the order of the trend list to reverse chronological order, which is more convenient to view, and I hope it will be more convenient for your use.
#### 2.18.2  (2022-05-24)
- Added custom week start day function
- Optimize some translations
#### 2.18.1  (2022-05-12)
- Optimize bill copy function, support copy bill editing
- Optimized the logic of geographic location acquisition of bill editor
- Optimized the expansion area of the bill editor to open faster
- Fix bugs
#### 2.18.0  (2022-04-30)
- Added a quick date switch function on the home page
- Added weekly, monthly and yearly display modes on the home page
- Budget and statistics modules can automatically match the current billing cycle
- Optimize the digital display effect of the calculator
- Improve fault tolerance
- Optimize the visual effect of the bottom dialog box
- Fix bugs
#### 2.17.1  (2022-04-10)
- Added Malay language support
- Added Indonesian language support
- Fix bugs
#### 2.17.0  (2022-03-24)
- NEW: Export as backup file
- NEW: Restore from backup files elsewhere
- Fix the problem that the default end time of exporting excel is wrong
- Fix some bugs
#### 2.16.3  (2022-02-21)
- Added unbacked reminder,
- Added settings page to display the latest backup time
- Added 4 member icons
- Added 15 new category icons
- Added 2 ledger icons
- Added 4 account icons
- Fixed the problem that the name of the periodic transfer bill was incorrectly recorded
#### 2.16.2  (2021-12-28)
- Added haptic feedback
- Added "Add Button" position setting
- Fix bugs
#### 2.16.1  (2021-12-21)
- Fix bugs
- Optimize the UI of some components
- Add monthly subscription
#### 2.16.0  (2021-11-29)
- Newly designed animation effects
- Fix bugs
- Added Russian support
- Added Thai language support
#### 2.15.0  (2021-11-17)
- New window pop-up effect
- Smoother operation experience
- Fix bugs
#### 2.14.4  (2021-11-11)
- Added French support
- Optimize internationalization support
- Optimize the display effect on the small screen
#### 2.14.3  (2021-11-04)
- Added a daily cycle mode for periodic accounting
- New cycle limit for periodic accounting
- Fix some bugs
#### 2.14.2  (2021-10-17)
- Added a new backup file format to support image backup
- Optimize partial translation
- Optimize the text display effect of the list item component
- Fixed an issue where the amount of account details was not displayed in accordance with the account currency
#### 2.14.1  (2021-09-29)
- Fixed some bugs
#### 2.14.0  (2021-09-26)
- Added the function to display the details of the budget bill
- Optimize multi-language support
- Optimize compatibility with some input methods
- Fixed the problem that some models could not call the email feedback
#### 2.13.3  (2021-09-08)
- Added calendar mode to display daily amount
- Add a more beautiful time selector
- Optimize the display effect of the amount at the top of the homepage to better display the large amount data
- Optimize the color display of the trend list
- Fixed an issue where rendering trend graphs was time-consuming when the amount of money was very large
- Fixed an issue where periodic bills were not processed immediately after the app was run in some cases
#### 2.13.2  (2021-08-09)
- Optimize the layout of calculator buttons
- Fixed the problem that the account book information on the homepage was not updated in time after setting the budget
#### 2.13.1  (2021-07-27)
- Fixed the issue of fingerprint/face unlocking being called multiple times in some models
#### 2.13.0  (2021-07-24)
- Added the function of copying the bill by sliding to the left
- Added delete confirmation to reduce misoperation
- Optimize the display effect of some components
- Optimize the compatibility of some models
#### 2.12.6  (2021-07-01)
- Added font size setting
- Fix the problem of double calculation of data on the first day of the asset trend line chart
#### 2.12.5  (2021-06-25)
- Optimize the font size display to avoid the problem of abnormal display of large fonts
- Added Spanish support
#### 2.12.4  (2021-06-02)
- Fixed the problem that the transfer account name of the transfer bill in the account details and trend details was incorrectly displayed
- Modify the icon of the transfer bill in the account details and trend details to the transfer account icon
- Fixed an issue where account details and transfer details and bills were displayed abnormally after the account was deleted
- Fixed the problem that the account did not return to the correct location after deleting it
#### 2.12.3  (2021-05-29)
- Fixed an abnormal logic problem when processing bills other than the current ledger
- Modify the time of continuously adding bills no longer automatically adjusts, to facilitate the continuous addition of bills other than today
- Strengthen the security check when turning on the fingerprint and face unlock switch to prevent the function from being turned on when the above unlocking is not supported
- Some translation errors have been fixed
#### 2.12.2  (2021-05-12)
- Added periodic accounting interval mode
- Periodic accounting can customize the start time
- Optimize the display of the trend graph, and default the last time point when there is data
- Items with pie chart less than or equal to 2% are automatically merged
#### 2.12.1  (2021-04-14)
- Added animation effects, support setting on and off.
- Optimize data refresh logic
- Fix some errors in translation
#### 2.12.0  (2021-03-21)
- Added dark mode
- Added click pie chart to highlight
- Optimize the display format of pie chart data
- Optimize the display format of trend graph data
#### 2.11.4  (2021-03-10)
- Add custom income and expenditure colors
- Added 52 category icons
- Added 3 new member icons
- Added 6 account icons
- Category icons are reordered according to type
#### 2.11.3  (2021-03-03)
- Calculator delete button changed to back & long press to reset
- Added Vietnamese language support
#### 2.11.2  (2021-02-23)
- Add daily automatic backup
- Optimize the fluency of bill editor
#### 2.11.1  (2021-02-01)
- Add 11 new account icons
- Add 5 new account icons
- Add 39 new category icons
- Add 2 member icons
- Optimization settings section Icon
- Modify the problem that the decimal point may not be entered when adding bills continuously
#### 2.11.0  (2021-01-18)
- Add periodic accounting
- Optimize the display effect of the iPad bill pop-up box
- Support bill saving with an amount of 0
- Account balance supports input of negative sign
- The bill image preview mode supports click to close
- Modified the issue of failed release of key tone resources
#### 2.10.2  (2020-12-24)
- New bill picture support
- After the new face / fingerprint unlocking fails, try to use the mobile phone password to unlock
#### 2.10.1  (2020-12-09)
- Fixed the problem of text correspondence error of three calendar modes in calendar module.
#### 2.10.0  (2020-12-07)
- New function: the account can be enabled / disabled in the current account book, and different accounts can be configured for each account book.
- Modify the statistical data of asset trend to the asset situation corresponding to the current account book.
- Modify budget settings label out of bounds error.
- New app icon.
#### 2.9.13  (2020-12-01)
- New homepage budget quick preview function
- New homepage expense / revenue quick preview function
- Account details are not displayed as 0
- Optimize bill editor: saving operation with amount of 0 is not supported
#### 2.9.12  (2020-11-28)
- New annual budget and weekly budget
- Adjust the icon at the top of the wallet page
#### 2.9.11  (2020-11-25)
- Fix: the home page data does not refresh normally after running the app in a small probability
#### 2.9.10  (2020-11-24)
- Optimize account display effect, account list and account card new remarks display
- Optimize budget display effect
- Modification of budget progress bar can not exceed 100%
- Modifying the budget progress bar does not display the remaining amount correctly
#### 2.9.9  (2020-11-22)
- New display account details function
- Optimize home page display
- Optimize the display effect of budget progress bar
#### 2.9.8  (2020-11-16)
- Fix the home page display error after starting the app, In some cases
- Optimize the display effect of pie chart
#### 2.9.7  (2020-11-15)
- Add month start date setting. Bill list and chart analysis support data calculation of user-defined financial month.
- Repair the problem that the billing data was not updated immediately after the backup was restored.
- Fix the interval error when the time is selected as week
#### 2.9.6  (2020-11-9)
- Add home page remaining budget display
- Fix the problem of trend chart y coordinate data overlapping
- New account management
- Account selection no longer allows deletion. Account deletion is placed in the details page
#### 2.9.5  (2020-11-5)
- Add time filter for billing search
- Optimize the selection effect of front page account book
#### 2.9.4  (2020-11-2)
- Add bill search
#### 2.9.3  (2020-10-28)
- Add the calendar type selection in the list
#### 2.9.2  (2020-10-27)
- Optimize the fit on iPhone 12
- Optimization of home page layout
- New homepage account book management
- Fix the useless delete button on the new account page
- Fixed a problem where the billing details pop up incorrectly in some cases
#### 2.9.1  (2020-10-20)
- The balance of the selected account in the new transfer page is displayed
- Add custom reminder time
- Fixed the problem that the key sound effect could not coexist with the music sound
#### 2.9.0  (2020-10-19)
- Add today widget (IOS 14 and above) to support the desktop display of accounts
#### 2.8.10  (2020-10-14)
- Fixed the problem that the local currency was also deleted when the account was deleted in some cases
#### 2.8.9  (2020-10-11)
- Optimize the amount display to display the amount in different currencies
- All amount summary data are displayed in local currency
- Repair asset trends where details cannot be shown in some cases
- Fix the problem of wrong debt trend data
#### 2.8.8  (2020-09-29)
- Fix the problem that the bottom button of calculator is easy to touch the home idicator by mistake
- Fixed the problem that calculator can't input decimal point in some cases
- Adjust display font size
#### 2.8.7  (2020-09-24)
- Add billing location information
- Add the map location when the bill details are displayed
- Modify the problem that the original transfer bill cannot be manually deleted after the transfer in account is deleted
- Change the default theme color
#### 2.8.6  (2020-09-21)
- Added excel export bill
- Optimize the adaptation work on iPhone se (1gen) and ipad
- Added changelog display
- Fix known bugs
#### 2.8.5  (2020-09-16)
- Optimize calculator font
- Optimize the asset trend list and support the display of various changes in account balance
- The logic of modifying transfer bill
#### 2.8.4  (2020-09-14)
- Add more icons
- Add custom add button behavior
#### 2.8.3  (2020-09-12)
- Add face ID / touch ID to unlock app
- Optimize the color of circular chart
- Fix known bugs
#### 2.8.2  (2020-09-09)
- More category Icons
- More color themes
- Optimize the visual effect of bill editor
#### 2.8.1  (2020-09-08)
- New account deletion function
- Optimize the bill editor to reduce accidental touch
#### 2.8.0  (2020-09-06)
- New design of bill editor
- New bill Preview
- Fix a lot of bugs
#### 2.7.8  (2020-08-31)
- New app shortcut
- Modify the problem that the statistical Sub Ledger does not display
#### 2.7.7  (2020-08-30)
- New reminder function
- New button sound switch
#### 2.7.6  (2020-08-27)
- Add related bills on the statistics page
- Optimize the bill display of Statistics page
#### 2.7.5  (2020-08-24)
- Optimize billing page
- Optimize statistics page
- Fix text description errors
#### 2.7.4  (2020-08-21)
- Optimize home page UI
- Add new calendar to display bill quantity and optimize calendar UI
#### 2.7.3  (2020-08-19)
- Optimize bill list
- Fix known bugs
#### 2.7.2  (2020-08-18)
- Fixed no rounding of daily totals
#### 2.7.1  (2020-08-15)
- Enable new logo
- Add more icons
- Fix known bugs
#### 2.7.0  (2020-08-11)
- New appearance UI design
- Add button sound
- Fix known bugs
#### 2.6.0  (2020-08-05)
- Solve several bugs
#### 2.5.0  (2020-08-01)
- Optimization settings page
- Horizontal screen mode is no longer supported
#### 2.4.0  (2020-07-28)
- New budget management
- Modify known issues
#### 2.3.1  (2020-07-20)
- Modify known issues
#### 2.3.0  (2020-07-15)
- Add user feedback
- Optimizing the display of statistical graph in iPad
#### 2.2.0  (2020-07-08)
- add theme settings
#### 2.1.0  (2020-07-07)
- Modify the statistical error of liability account
- Optimize data refresh
#### 2.0.0  (2020-06-22)
- New premium service in-app purchase
- Fix known issues
#### 1.5.0  (2020-06-12)
- Add more Settings
- Solve the problem of not refreshing the data immediately after selecting the time in the analysis module
#### 1.4.0  (2020-06-09)
- Add backup recovery using icloud
- Solve the problem that members cannot be added
- Optimization calculator
#### 1.3.0  (2020-06-01)
- Support transfer between different exchange rate accounts.
- New Korean support.
- Optimization calculator.
#### 1.2.0  (2020-05-21)
- Add Japanese support
- Fix: The text of the calendar is not translated correctly.
- Adopt a new calendar option
- Optimize the application size
#### 1.1.0  (2020-05-15)
- The data will not be refreshed immediately after the new account is modified
- New language support
#### 1.0.0  (2020-05-02)
