## What's New？
#### 4.5.5  (2024-05-24)
- Aumentar la precisión del tipo de cambio a seis decimales
- Optimizar la visualización del tipo de cambio y la cantidad
- Nuevo: Soporte para mostrar información de notas en tarjetas de objetivos y facturas periódicas
- Nuevo: El modo calendario puede mostrar opcionalmente ingresos, gastos o saldo total
- Optimizar partes de la interfaz de usuario
#### 4.5.4  (2024-05-22)
- Corrección de errores
- Nuevo: Ahora puedes seleccionar el modo de visualización predeterminado para la sección de libros de la página de inicio en los ajustes.
#### 4.5.3  (2024-05-14)
- Añadido recientemente: El saldo de la cuenta después de cada factura en los detalles de la cuenta.
#### 4.5.2  (2024-05-09)
- Nuevo: Mostrar fecha de fin al editar una cuenta periódica
- Corregir bug
#### 4.5.0  (2024-05-06)
- Optimizar la interfaz de usuario de la página de inicio para hacerla más refrescante.
#### 4.4.1  (2024-04-25)
- Añadido: Función de facturación adicional de transferencia para satisfacer escenarios como las tasas de transferencia.
- Añadido: Soporte para el idioma italiano.
- Errores corregidos.
#### 4.4.0  (2024-04-15)
- Nuevo: Los mensajes y los alertas locales para los objetivos de ahorro respaldan el salto a los detalles del objetivo específico.
#### 4.3.2  (2024-04-02)
- Corrección: Error de cálculo de la hora al cambiar al horario de verano en algunas zonas horarias.
#### 4.3.1  (2024-03-22)
- Novedad: El Plan de Ahorro Periódico admite notificaciones locales.
#### 4.3.0  (2024-03-14)
- Novedad Plan de Ahorro Recurrente
- Nuevo: Añadir función de recordatorio para el plan de ahorro periódico.
- Optimizado el modo oscuro y algunos efectos de interfaz y animación.
- Errores corregidos
#### 4.2.2  (2024-01-31)
- Nuevo: Función de ajuste temporal del tipo de cambio al grabar transferencias de dinero.
- Optimización: Toque fuera del cuadro de entrada para cerrar el método de entrada.
- Errores corregidos.
#### 4.2.0  (2024-01-18)
- Nuevo: El objetivo de ahorro se puede configurar para que se muestre en la página de inicio
- Interfaz de usuario optimizada
- Errores corregidos
#### 4.1.2  (2024-01-09)
- Novedad: La lista de objetivos de ahorro de dinero muestra directamente el progreso.
- Corregido: Selección incorrecta de la hora de inicio y fin de los objetivos de ahorro.
#### 4.1.1  (2024-01-08)
- Corrección del tipo de cambio incorrecto al modificar los depósitos
#### 4.1.0  (2024-01-03)
- Ahorrar más dinero en Año Nuevo, nueva función de objetivo de ahorro
- Optimizar la interfaz de usuario
#### 4.0.3  (2023-10-31)
- Interfaz de usuario optimizada
- Corrección de errores
#### 4.0.2  (2023-10-24)
- Interfaz de usuario optimizada
- Corrección de errores
#### 4.0.0  (2023-10-11)
#### Version 4 is here!
- Interfaz de usuario de la página de inicio rediseñada
- Corrección de errores
#### 3.7.2  (2023-09-13)
- Se ha ampliado el cuadro de introducción de comentarios para que admita más líneas de comentarios.
- Nuevo: Mostrar el uso aproximado del presupuesto de la categoría actual al editar la factura.
#### 3.7.0  (2023-08-29)
- Corregidos errores
- Añadidos 6 nuevos iconos de cuenta
- Añadidos 5 nuevos iconos de libros
- Añadidos 11 nuevos iconos de miembros
- Añadidos 39 nuevos iconos de categoría
#### 3.6.0  (2023-08-07)
- Nueva función de importación de miembros
- Nueva función de importación de categorías
- Errores corregidos
#### 3.5.2  (2023-07-14)
- Ahora puede establecer un tema, una moneda base y una fecha de inicio de semana/mes diferentes para cada libro. Estos ajustes le ayudarán a distinguir mejor cada libro. Puede configurarlos en Detalles del libro -> Editar.
#### 3.5.1  (2023-07-02)
- En esta versión, ahora puedes ajustar la calidad de las imágenes de los adjuntos de facturas en los ajustes.
#### 3.5.0  (2023-06-13)
- En esta versión hemos optimizado significativamente la eficacia de la operación bajo una gran cantidad de datos, enjoy it!
#### 3.4.4  (2023-06-02)
- Añadido: estadísticas de los resultados de búsqueda
- Añadido: Para ajustar el intervalo de tiempo en los resultados de búsqueda
#### 3.4.3  (2023-05-22)
- Errores corregidos
#### 3.4.2  (2023-05-11)
- Añadido: colapso de la lista de facturas por día
- Añadido: información resumida en la lista de cuentas
- Errores corregidos
#### 3.4.1  (2023-04-25)
- El presupuesto total puede establecerse como la suma de los subpresupuestos
- Fácil visualización del uso del presupuesto en la gestión presupuestaria
- Novedad: La opción de si la cuenta se incluye en el activo, para poder decidir si se contabiliza en el activo y en la tendencia del activo.
#### 3.4.0  (2023-04-10)
- En esta versión hemos optimizado algunos detalles de la interfaz de usuario y los mensajes de sugerencia para facilitar su comprensión.
#### 3.3.3  (2023-03-23)
- Hemos hecho algunas pequeñas mejoras, y si tienes una suscripción, ahora puedes elegir actualizar o degradar tu plan de suscripción actual desde la página de compra.
#### 3.3.2  (2023-03-03)
- ¿Alguna vez has creado una cuenta con el tipo equivocado? En esta versión, ahora puedes cambiar el tipo de cuenta directamente en los detalles de la misma; además, hemos optimizado algunos detalles de visualización. ¡Empieza a explorar!
#### 3.3.0  (2023-02-10)
- ¿Te olvidas a menudo de gestionar algo? Esta vez hemos añadido una nueva función de recordatorio personalizado (función avanzada), que le recordará con una notificación cuando deba realizar un recordatorio y podrá ver su mensaje de notificación en el cuadro de mensajes.
#### 3.2.5  (2023-01-10)
- En esta actualización hemos añadido la posibilidad de ocultar/mostrar el saldo de tu monedero, que puedes encontrar en la esquina superior izquierda de la página de tu monedero.
#### 3.2.4  (2022-12-05)
- Esta vez, puedes elegir tu diseño de botón de calculadora favorito en Ajustes - Más; También hemos corregido algunos errores.
#### 3.2.3  (2022-11-13)
- Ahora puede agregar rápidamente nuevas facturas en categorías y detalles de miembros; Además, también hemos optimizado la coincidencia de notas, cuando ingresa una nota, la aplicación coincidirá automáticamente con notas históricas más precisas para que usted elija.
#### 3.2.0  (2022-10-13)
- Esta vez continuaremos añadiendo detalles de libro, detalles de categoría y detalles de membresía, lo que le facilitará la comprensión de sus diversos detalles contables; Mientras tanto, continuamos optimizando algunos detalles de la interfaz de usuario y efectos de animación. ¿Te gusta? ¡Danos una puntuación!
#### 3.1.0  (2022-10-2)
- Hemos agregado una página de detalle para la facturación periódica, lo que le permite comprender la ejecución de la facturación periódica de manera más intuitiva; además, hemos rediseñado algunos detalles de la interfaz de usuario, ¡veamos qué cambios!
#### 3.0.2  (2022-09-10)
- Cuando cambies a mostrar el intervalo por semana, verás el nuevo selector de tiempo que hemos preparado para ti, donde podrás ver el calendario semanal de forma más intuitiva. Además, también solucionamos y optimizamos muchos problemas de comentarios de los usuarios en esta versión.
#### 3.0.1  (2022-09-01)
- Gracias por el uso y la retroalimentación del usuario. hemos solucionado el problema del procesamiento de datos en modo calendario. ¡disfrútala!
#### 3.0.0  (2022-08-27)
##### La versión 3.0.0 está aquí, ¡pruebe nuestra nueva versión!
- Rediseñamos el gráfico circular y el gráfico de tendencia en el análisis para que pueda ver su situación de capital de manera más intuitiva. Cuando hace clic en un elemento del gráfico, la lista se desplazará automáticamente a los datos relevantes;
- Adquisición de ubicación geográfica más rápida para evitar perder la información geográfica de su factura (la función debe activarse manualmente);
- Interfaz de selección de moneda rediseñada, animaciones gráficas rediseñadas y también verá una calculadora con mejor apariencia;
- ¡También reescribimos una gran cantidad de código para hacer que la aplicación sea más robusta, por supuesto! También se corrigieron muchos errores históricos.
#### 2.19.2  (2022-07-30)
- En esta versión, hemos solucionado un error que podía ocurrir en algunos casos en el selector de tiempo para las tendencias de ingresos y gastos.
#### 2.19.1  (2022-07-14)
- ¿La nueva función de elegir notas de factura lo hace más conveniente para usted? Ahora, también puede personalizar el número máximo de notas seleccionables en Configuración - Más. Esperamos darle opciones más convenientes.
#### 2.19.0  (2022-06-17)
- ¿Siente la molestia de agregar notas a cada factura? A partir de hoy, cuando complete sus notas de facturación, verá las notas de las facturas relacionadas más recientes entre las que podrá elegir. Además, también optimizamos el efecto de animación del editor de facturas para una experiencia de contabilidad más cómoda.
#### 2.18.4  (2022-06-08)
- Al crear nuevas categorías, notará que hemos agregado 67 íconos nuevos y agradables en esta versión. Además, hemos organizado estos iconos en grupos para que puedas encontrar mejor lo que necesitas.
#### 2.18.3  (2022-05-31)
- Para ver mejor la situación de la tendencia, hemos agregado un resumen del monto de la tendencia en esta versión, y también puede hacer clic en el resumen para ver todas las facturas durante este período. Además, también hemos cambiado el orden de la lista de tendencias para invertir el orden cronológico, lo cual es más conveniente de ver y espero que sea más conveniente para su uso.
#### 2.18.2  (2022-05-24)
- Se agregó la función de día de inicio de semana personalizado
- Optimizar algunas traducciones
#### 2.18.1  (2022-05-12)
- Optimice la función de copia de facturas, admita la edición de copias de facturas
- Optimicé la lógica de adquisición de ubicación geográfica del editor de facturas
- Optimizado el área de expansión del editor de facturas para abrir más rápido
- Corregir errores
#### 2.18.0  (2022-04-30)
- Se agregó una función de cambio rápido de fecha en la página de inicio
- Modos de visualización semanales, mensuales y anuales agregados en la página de inicio
- Los módulos de presupuesto y estadísticas pueden coincidir automáticamente con el ciclo de facturación actual
- Optimizar el efecto de visualización digital de la calculadora.
- Mejorar la tolerancia a fallas
- Optimizar el efecto visual del cuadro de diálogo inferior.
- Corregir errores
#### 2.17.1  (2022-04-10)
- Se agregó compatibilidad con el idioma malayo
- Se agregó compatibilidad con el idioma indonesio
- Corregir errores
#### 2.17.0  (2022-03-24)
- NUEVO: Exportar como archivo de copia de seguridad
- NUEVO: Restaurar desde archivos de copia de seguridad en otro lugar
- Solucione el problema de que la hora de finalización predeterminada de la exportación de Excel es incorrecta
- Corregir algunos errores
#### 2.16.3  (2022-02-21)
- No se agregó un recordatorio respaldado,
- Página de configuración agregada para mostrar la última hora de copia de seguridad
- Se agregaron 4 íconos de miembros
- Se agregaron 15 nuevos íconos de categoría
- Se agregaron 2 íconos de libro mayor
- Se agregaron 4 íconos de cuenta
- Se solucionó el problema de que el nombre de la factura de transferencia periódica se registraba incorrectamente
#### 2.16.2  (2021-12-28)
- Añadida retroalimentación háptica
- Se agregó la configuración de posición "Agregar botón"
- Corregir errores
#### 2.16.1  (2021-12-21)
- Corregir errores
- Optimizar la interfaz de usuario de algunos componentes.
- Agregar suscripción mensual
#### 2.16.0  (2021-11-29)
- Efectos de animación de nuevo diseño
- Corregir errores
- Añadido soporte ruso
- Se agregó soporte para el idioma tailandés
#### 2.15.0  (2021-11-17)
- Nuevo efecto de ventana emergente
- Experiencia de operación más fluida
- Corregir errores
#### 2.14.4  (2021-11-11)
- Añadido soporte en francés
- Optimizar el apoyo a la internacionalización
- Optimiza el efecto de visualización en la pantalla pequeña.
#### 2.14.3  (2021-11-04)
- Añadido un modo de ciclo diario para contabilidad periódica
- Nuevo límite de ciclo para contabilidad periódica
- Arreglar algunos errores
#### 2.14.2  (2021-10-17)
- Añadido un nuevo formato de archivo de copia de seguridad para admitir copias de seguridad de fotos
- Optimizar la traducción parcial
- Optimizar el efecto de visualización de texto del componente de elemento de lista
- Se solucionó un problema por el cual la cantidad de detalles de la cuenta no se mostraba de acuerdo con la moneda de la cuenta
#### 2.14.1  (2021-09-29)
- Arreglados algunos errores
#### 2.14.0  (2021-09-26)
- Se agregó la función para mostrar los detalles de la factura presupuestaria
- Optimizar la compatibilidad con varios idiomas
- Optimizar la compatibilidad con algunos métodos de entrada
- Se solucionó el problema de que algunos modelos no podían llamar a los comentarios por correo electrónico
#### 2.13.3  (2021-09-08)
- Añadido modo de calendario para mostrar la cantidad diaria
- Añadir un selector de tiempo más bonito
- Optimice el efecto de visualización de la cantidad en la parte superior de la página de inicio para mostrar mejor la gran cantidad de datos
- Optimizar la visualización en color de la lista de tendencias
- Se solucionó un problema por el cual la representación de gráficos de tendencias consumía mucho tiempo cuando la cantidad de dinero era muy grande
- Se solucionó un problema por el cual las facturas periódicas no se procesaban inmediatamente después de que se ejecutaba la aplicación en algunos casos
#### 2.13.2  (2021-08-09)
- Optimizar el diseño de los botones de la calculadora
- Se solucionó el problema de que la información del libro de cuentas en la página de inicio no se actualizaba a tiempo después de establecer el presupuesto
#### 2.13.1  (2021-07-27)
- Arreglado el problema de la huella dactilar / desbloqueo facial que se llamaba varias veces en algunos modelos
#### 2.13.0  (2021-07-24)
- Añadida la función de copiar la factura deslizándola hacia la izquierda
- Se agregó la confirmación de eliminación para reducir el mal funcionamiento
- Optimizar el efecto de visualización de algunos componentes.
- Optimizar la compatibilidad de algunos modelos.
#### 2.12.6  (2021-07-01)
- Añadido ajuste de tamaño de fuente
- Solucione el problema del doble cálculo de datos en el primer día del gráfico de líneas de tendencia de activos
#### 2.12.5  (2021-06-25)
- Optimice la visualización del tamaño de fuente para evitar el problema de visualización anormal de fuentes grandes
- Añadido soporte en español
#### 2.12.4  (2021-06-02)
- Fixed the problem that the transfer account name of the transfer bill in the account details and trend details was incorrectly displayed
- Modify the icon of the transfer bill in the account details and trend details to the transfer account icon
- Fixed an issue where account details and transfer details and bills were displayed abnormally after the account was deleted
- Fixed the problem that the account did not return to the correct location after deleting it
#### 2.12.3  (2021-05-29)
- Fixed an abnormal logic problem when processing bills other than the current ledger
- Modify the time of continuously adding bills no longer automatically adjusts, to facilitate the continuous addition of bills other than today
- Strengthen the security check when turning on the fingerprint and face unlock switch to prevent the function from being turned on when the above unlocking is not supported
- Some translation errors have been fixed
#### 2.12.2  (2021-05-12)
- Added periodic accounting interval mode
- Periodic accounting can customize the start time
- Optimize the display of the trend graph, and default the last time point when there is data
- Items with pie chart less than or equal to 2% are automatically merged
#### 2.12.1  (2021-04-14)
- Added animation effects, support setting on and off.
- Optimize data refresh logic
- Fix some errors in translation
#### 2.12.0  (2021-03-21)
- Added dark mode
- Added click pie chart to highlight
- Optimize the display format of pie chart data
- Optimize the display format of trend graph data
#### 2.11.4  (2021-03-10)
- Add custom income and expenditure colors
- Added 52 category icons
- Added 3 new member icons
- Added 6 account icons
- Category icons are reordered according to type
#### 2.11.3  (2021-03-03)
- Calculator delete button changed to back & long press to reset
- Added Vietnamese language support
#### 2.11.2  (2021-02-23)
- Add daily automatic backup
- Optimize the fluency of bill editor
#### 2.11.1  (2021-02-01)
- Add 11 new account icons
- Add 5 new account icons
- Add 39 new category icons
- Add 2 member icons
- Optimization settings section Icon
- Modify the problem that the decimal point may not be entered when adding bills continuously
#### 2.11.0  (2021-01-18)
- Add periodic accounting
- Optimize the display effect of the iPad bill pop-up box
- Support bill saving with an amount of 0
- Account balance supports input of negative sign
- The bill image preview mode supports click to close
- Modified the issue of failed release of key tone resources
#### 2.10.2  (2020-12-24)
- New bill picture support
- After the new face / fingerprint unlocking fails, try to use the mobile phone password to unlock
#### 2.10.1  (2020-12-09)
- Fixed the problem of text correspondence error of three calendar modes in calendar module.
#### 2.10.0  (2020-12-07)
- New function: the account can be enabled / disabled in the current account book, and different accounts can be configured for each account book.
- Modify the statistical data of asset trend to the asset situation corresponding to the current account book.
- Modify budget settings label out of bounds error.
- New app icon.
#### 2.9.13  (2020-12-01)
- New homepage budget quick preview function
- New homepage expense / revenue quick preview function
- Account details are not displayed as 0
- Optimize bill editor: saving operation with amount of 0 is not supported
#### 2.9.12  (2020-11-28)
- New annual budget and weekly budget
- Adjust the icon at the top of the wallet page
#### 2.9.11  (2020-11-25)
- Fix: the home page data does not refresh normally after running the app in a small probability
#### 2.9.10  (2020-11-24)
- Optimize account display effect, account list and account card new remarks display
- Optimize budget display effect
- Modification of budget progress bar can not exceed 100%
- Modifying the budget progress bar does not display the remaining amount correctly
#### 2.9.9  (2020-11-22)
- New display account details function
- Optimize home page display
- Optimize the display effect of budget progress bar
#### 2.9.8  (2020-11-16)
- Fix the home page display error after starting the app, In some cases
- Optimize the display effect of pie chart
#### 2.9.7  (2020-11-15)
- Add month start date setting. Bill list and chart analysis support data calculation of user-defined financial month.
- Repair the problem that the billing data was not updated immediately after the backup was restored.
- Fix the interval error when the time is selected as week
#### 2.9.6  (2020-11-9)
- Add home page remaining budget display
- Fix the problem of trend chart y coordinate data overlapping
- New account management
- Account selection no longer allows deletion. Account deletion is placed in the details page
#### 2.9.5  (2020-11-5)
- Add time filter for billing search
- Optimize the selection effect of front page account book
#### 2.9.4  (2020-11-2)
- Add bill search
#### 2.9.3  (2020-10-28)
- Add the calendar type selection in the list
#### 2.9.2  (2020-10-27)
- Optimize the fit on iPhone 12
- Optimization of home page layout
- New homepage account book management
- Fix the useless delete button on the new account page
- Fixed a problem where the billing details pop up incorrectly in some cases
#### 2.9.1  (2020-10-20)
- The balance of the selected account in the new transfer page is displayed
- Add custom reminder time
- Fixed the problem that the key sound effect could not coexist with the music sound
#### 2.9.0  (2020-10-19)
- Add today widget (IOS 14 and above) to support the desktop display of accounts
#### 2.8.10  (2020-10-14)
- Fixed the problem that the local currency was also deleted when the account was deleted in some cases
#### 2.8.9  (2020-10-11)
- Optimize the amount display to display the amount in different currencies
- All amount summary data are displayed in local currency
- Repair asset trends where details cannot be shown in some cases
- Fix the problem of wrong debt trend data
#### 2.8.8  (2020-09-29)
- Fix the problem that the bottom button of calculator is easy to touch the home idicator by mistake
- Fixed the problem that calculator can't input decimal point in some cases
- Adjust display font size
#### 2.8.7  (2020-09-24)
- Add billing location information
- Add the map location when the bill details are displayed
- Modify the problem that the original transfer bill cannot be manually deleted after the transfer in account is deleted
- Change the default theme color
#### 2.8.6  (2020-09-21)
- Added excel export bill
- Optimize the adaptation work on iPhone se (1gen) and ipad
- Added changelog display
- Fix known bugs
#### 2.8.5  (2020-09-16)
- Optimize calculator font
- Optimize the asset trend list and support the display of various changes in account balance
- The logic of modifying transfer bill
#### 2.8.4  (2020-09-14)
- Add more icons
- Add custom add button behavior
#### 2.8.3  (2020-09-12)
- Add face ID / touch ID to unlock app
- Optimize the color of circular chart
- Fix known bugs
#### 2.8.2  (2020-09-09)
- More category Icons
- More color themes
- Optimize the visual effect of bill editor
#### 2.8.1  (2020-09-08)
- New account deletion function
- Optimize the bill editor to reduce accidental touch
#### 2.8.0  (2020-09-06)
- New design of bill editor
- New bill Preview
- Fix a lot of bugs
#### 2.7.8  (2020-08-31)
- New app shortcut
- Modify the problem that the statistical Sub Ledger does not display
#### 2.7.7  (2020-08-30)
- New reminder function
- New button sound switch
#### 2.7.6  (2020-08-27)
- Add related bills on the statistics page
- Optimize the bill display of Statistics page
#### 2.7.5  (2020-08-24)
- Optimize billing page
- Optimize statistics page
- Fix text description errors
#### 2.7.4  (2020-08-21)
- Optimize home page UI
- Add new calendar to display bill quantity and optimize calendar UI
#### 2.7.3  (2020-08-19)
- Optimize bill list
- Fix known bugs
#### 2.7.2  (2020-08-18)
- Fixed no rounding of daily totals
#### 2.7.1  (2020-08-15)
- Enable new logo
- Add more icons
- Fix known bugs
#### 2.7.0  (2020-08-11)
- New appearance UI design
- Add button sound
- Fix known bugs
#### 2.6.0  (2020-08-05)
- Solve several bugs
#### 2.5.0  (2020-08-01)
- Optimization settings page
- Horizontal screen mode is no longer supported
#### 2.4.0  (2020-07-28)
- New budget management
- Modify known issues
#### 2.3.1  (2020-07-20)
- Modify known issues
#### 2.3.0  (2020-07-15)
- Add user feedback
- Optimizing the display of statistical graph in iPad
#### 2.2.0  (2020-07-08)
- add theme settings
#### 2.1.0  (2020-07-07)
- Modify the statistical error of liability account
- Optimize data refresh
#### 2.0.0  (2020-06-22)
- New premium service in-app purchase
- Fix known issues
#### 1.5.0  (2020-06-12)
- Add more Settings
- Solve the problem of not refreshing the data immediately after selecting the time in the analysis module
#### 1.4.0  (2020-06-09)
- Add backup recovery using icloud
- Solve the problem that members cannot be added
- Optimization calculator
#### 1.3.0  (2020-06-01)
- Support transfer between different exchange rate accounts.
- New Korean support.
- Optimization calculator.
#### 1.2.0  (2020-05-21)
- Add Japanese support
- Fix: The text of the calendar is not translated correctly.
- Adopt a new calendar option
- Optimize the application size
#### 1.1.0  (2020-05-15)
- The data will not be refreshed immediately after the new account is modified
- New language support
#### 1.0.0  (2020-05-02)
